--- **LootMaster** Helps you looting stuff acording your current class and spec when in party/raid. It will roll greed or disenchant in the items that you can't use, based on your current class/spec.

LootMaster = LibStub("AceAddon-3.0"):NewAddon("LootMaster", "AceEvent-3.0", "AceConsole-3.0");
local LootMaster = _G.LootMaster;

local function getOption(info)
	return (info.arg and LootMaster.db.profile[info.arg] or LootMaster.db.profile[info[#info]]);
end;

local function setOption(info, value)
	local key = info.arg or info[#info];
	LootMaster.db.profile[key] = value;
end;

local options = {
	name = "LootMaster",
	handler = LootMaster,
	type = "group",
	args = {
		disenchant = {
			name = "Disenchant",
			desc = "Set to roll disenchant",
			type = toggle,
			get = getOption,
			set = setOption,
		},
	},
}

local defaults = {
	profile = {
		disenchant = false,
	},
}

local usable_items = {};
local class;

function LootMaster:OnInitialize()
	LootMaster.db = LibStub("AceDB-3.0"):New("LootMasterDB", defaults, "Default");
	LibStub("AceConfig-3.0"):RegisterOptionsTable("LootMaster", options);
	LootMaster:RegisterChatCommand("lootmaster", "ChatCommand");
end;

function LootMaster:OnEnable()
	LootMaster:RegisterEvent("LOOT_BIND_CONFIRM");
	LootMaster:RegisterEvent("START_LOOT_ROLL");
	_, class = UnitClass("player");
	usable_items = LootMaster:GetProficiencies(class);
end;

function LootMaster:OnDisable()
	LootMaster:UnregisterEvent("LOOT_BIND_CONFIRM");
	LootMaster:UnregisterEvent("START_LOOT_ROLL");
end;

function LootMaster:ChatCommand(input)
	if not input or input:trim() == "" then
		LibStub("AceConfigCmd-3.0"):Open("LootMaster");
	else
		LibStub("AceConfigCmd-3.0").HandleCommand(LootMaster, "lootmaster", "LootMaster", input);
	end;
end;

function LootMaster:LOOT_BIND_CONFIRM(_, slotID)
	ConfirmLootSlot(slotID);
	--ConfirmBindOnUse();
	--for i = 1,GetNumLootItems(),1 do
		--ConfirmLootSlot(i);
	--end;
end;

function LootMaster:START_LOOT_ROLL(_, rollID, _)
	local _, name,_,_,_,_,_, canDisenchant = GetLootRollItemInfo(rollID);
	local itemName, itemLink, _, _, _, itemType, itemSubType, _, _, _, _ = GetItemInfo(name);
	local found = false;
	for i = 0,#usable_items,1 do
		if itemSubType == usable_items[i]) then
			found = true;
		end;
	end;
	if not found then
		if canDisenchant and LootMaster.db.profile.disenchant then
			RollOnLoot(rollID,3);
		else
			RollOnLoot(rollID,2);
		end;
	end;

	-- if (itemType ~= "Armor" and itemType ~= "Weapon") then
		--Roll greed
		-- RollOnLoot(rollID,2);
	-- elseif (itemType == "Armor" and itemSubType ~= "Leather") then
		--Roll greed
		-- RollOnLoot(rollID,2);
	-- elseif (itemType == "Armor" and itemSubType == "Leather") then
		-- local stats = GetItemStats(itemLink);
		--Interface\FrameXML\GlobalStrings.lua
		--{ "ITEM_MOD_STAMINA_SHORT" = 10 }
	-- end;
end;


