--- Defines the proficiencies for each class as well as the main stats for the current spec.

local LootMaster = _G.LootMaster;

local class_proficiencies = {};
local class_stats = {};

-- Armor type
local cloth = GetSpellInfo(9078);
local leather = GetSpellInfo(9077);
local mail = GetSpellInfo(8737);
local plate = GetSpellInfo(750);
local shields = GetSpellInfo(9116);
local relic = GetSpellInfo(52665);
-- Weapon type
local axes_1H = GetSpellInfo(196);
local axes_2H = GetSpellInfo(197);
local bows = GetSpellInfo(264);
local xbows = GetSpellInfo(5011);
local daggers = GetSpellInfo(1180);
local guns = GetSpellInfo(266);
local fists = GetSpellInfo(15590);
local maces_1H = GetSpellInfo(198);
local maces_2H = GetSpellInfo(199);
local polearms = GetSpellInfo(200);
local staves = GetSpellInfo(227);
local swords_1H = GetSpellInfo(201);
local swords_2H = GetSpellInfo(202);
local thrown = GetSpellInfo(2567);
local wands = GetSpellInfo(5009);

function LootMaster:GetProficiencies(class)
	if class == "DEATHKNIGHT" then
		class_proficiencies = { plate, relic, axes_1H, maces_1H, polearms, swords_1H, axes_2H, maces_2H, swords_2H };
	elseif class == "DRUID" then
		class_proficiencies = { leather, relic, daggers, fists, maces_1H, polearms, staves, maces_2H };
	elseif class == "HUNTER" then
		class_proficiencies = { leather, mail, axes_1H, daggers, fists, polearms, staves, swords_1H, axes_2H, swords_2H, bows, xbows, guns };
	elseif class == "MAGE" then
		class_proficiencies = { cloth, daggers, staves, swords_1H, wands };
	elseif class == "PALADIN" then
		class_proficiencies = { mail, plate, shields, relic, axes_1H, maces_1H, polearms, swords_1H, axes_2H, maces_2H, swords_2H };
	elseif class == "PRIEST" then
		class_proficiencies = { cloth, daggers, maces_1H, staves, wands };
	elseif class == "ROGUE" then
		class_proficiencies = { leather, axes_1H, daggers, fists, maces_1H, swords_1H, bows, xbows, guns, thrown };
	elseif class == "SHAMAN" then
		class_proficiencies = { leather, mail, shields, relic, axes_1H, daggers, fists, maces_1H, staves, axes_2H, maces_2H };
	elseif class == "WARLOCK" then
		class_proficiencies = { cloth, daggers, staves, swords_1H, wands };
	elseif class == "WARRIOR" then
		class_proficiencies = { mail, plate, axes_1H, daggers, fists, maces_1H, polearms, staves, swords_1H, axes_2H, maces_2H, swords_2H, bows, xbows, guns, thrown };
	end;
	return class_proficiencies;
end;

function LootMaster:GetActiveTalents()
	local talent_group = GetActiveTalentGroup(false, false);
	local talent_tree = GetPrimaryTalentTree(false, false, talent_group);
	local _, spec_name = GetTalentTabInfo(talent_tree, false, false, talent_group);
	return spec_name;
end;

function LootMaster:GetClassStats(class)
	if class == "DEATHKNIGHT" then
		class_stats = {  };
	elseif class == "DRUID" then
		class_stats = {  };
	elseif class == "HUNTER" then
		class_stats = {  };
	elseif class == "MAGE" then
		class_stats = {  };
	elseif class == "PALADIN" then
		class_stats = {  };
	elseif class == "PRIEST" then
		class_stats = {  };
	elseif class == "ROGUE" then
		class_stats = {  };
	elseif class == "SHAMAN" then
		class_stats = {  };
	elseif class == "WARLOCK" then
		class_stats = {  };
	elseif class == "WARRIOR" then
		class_stats = {  };
	end;
end;